Delete PlanTemplate - m3ter Documentation
Delete PlanTemplate
cURL
curl --request DELETE \
--url https://api.m3ter.com/organizations/{orgId}/plantemplates/{id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/plantemplates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/plantemplates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
200
4XX
5XX
Response Body Example
{
"id": "string",
"version": 1,
"customFields": {
"example1": 123,
"example2": "string"
},
"productId": "string",
"name": "string",
"currency": "USD",
"standingCharge": 0,
"standingChargeDescription": "string",
"standingChargeInterval": 1,
"standingChargeOffset": 364,
"billFrequencyInterval": 1,
"billFrequency": "DAILY",
"ordinal": 0,
"code": "string",
"minimumSpend": 0,
"minimumSpendDescription": "string",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": false
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization (string): required header that supports machine to machine authentication using clientCredentials OAuth2 flow.
Path Parameters
- orgId (string, required): The unique identifier (UUID) of your Organization.
- id (string, required): The unique identifier (UUID) of the PlanTemplate to delete.
Response
200 application/json: Returns the deleted PlanTemplate.